# Employees

Get employee records for a company.

Returns a paginated list of employees associated with the specified company.

## Endpoint

```text
GET /api/v1/companies/:company_id/employees
```

## Parameters

| Parameter | Type | In | Description |
| --- | --- | --- | --- |
| `company_id` | `integer` | path | The unique identifier of the company. |
| `page` | `integer` | query | Page number (default: 1). |
| `limit` | `integer` | query | Records per page (default: 100). |

## Code Examples

**Get company employees**

**Python**

```python
import requests

url = 'https://statsnet.co/api/v1/companies/12345/employees'
headers = {
  'Authorization': 'Bearer sk_live_YOUR_KEY',
  'Content-Type': 'application/json'
}

response = requests.get(url, headers=headers).json()
print(response)
```

**TypeScript**

```typescript
const url = 'https://statsnet.co/api/v1/companies/12345/employees';

const response = await fetch(url, {
headers: {
  'Authorization': 'Bearer sk_live_YOUR_KEY',
  'Content-Type': 'application/json',
},
});

const data = await response.json();
console.log(data);
```

**Go**

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {
	url := "https://statsnet.co/api/v1/companies/12345/employees"

	req, _ := http.NewRequest("GET", url, nil)
	req.Header.Set("Authorization", "Bearer sk_live_YOUR_KEY")
	req.Header.Set("Content-Type", "application/json")

	client := &http.Client{}
	resp, _ := client.Do(req)
	defer resp.Body.Close()

	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
```

## Response

**Success response**

```json
{
  "employees": [
    {
      "id": 1,
      "identifier": "900101350123",
      "name": "Иванов Иван Иванович",
      "position": "Director",
      "employer_identifier": "302233483",
      "employer_name": "Company Name",
      "employer_jurisdiction": "kz",
      "start_date": "2020-01-15T00:00:00Z",
      "end_date": null,
      "created_at": "2021-01-14T00:06:22.439Z",
      "updated_at": "2021-01-15T13:24:54.248Z"
    }
  ],
  "meta": [
    { "type": "Director", "total": 1 }
  ],
  "total": 1,
  "pagination_total": 1,
  "pagination_offset": 0
}
```

## Error Handling

**Error response**

```json
{
  "status": 403,
  "message": "access denied"
}
```

This endpoint can also return `{"status": 402, "message": "payment required"}` when the subscription is canceled or expired, and `{"status": 429, "message": "quota exhausted"}` when the plan’s report quota for the current period is used up.
